- Qt 5.15
- Qt 3D
- QML Types
- Obsolete Members for RenderCapture
- Qt 5.15.19 Reference Documentation

# Obsolete Members for RenderCapture

The following members of QML type RenderCapture are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Methods

- RenderCaptureReply requestCapture(int captureId)`(obsolete)`

## Method Documentation

RenderCaptureReply requestCapture(int captureId)

This method is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Used to request render capture. User can specify a captureId to identify the request. The requestId does not have to be unique. Only one render capture result is produced per requestCapture call even if the frame graph has multiple leaf nodes. The function returns a QRenderCaptureReply object, which receives the captured image when it is done. The user is responsible for deallocating the returned object.